Bug 418134 - There are two system monitor applications
Summary: There are two system monitor applications
Status: CONFIRMED
Alias: None
Product: ksysguard
Classification: Applications
Component: ksysguard (show other bugs)
Version: 5.19.90
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-24 12:10 UTC by hsnnsnc
Modified: 2022-06-13 17:12 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hsnnsnc 2020-02-24 12:10:19 UTC
SUMMARY
It should be KSysGuard instead of the Systemmonitor application opened with CTRL + Esc keys. (Systemmonitor and KSysGuard are installed on the system together. Systemmonitor needs to be deleted)

STEPS TO REPRODUCE
1. Press CTRL + Esc Systemmonitor will open
2. Click Application Menu, System, KSysGuard


OBSERVED RESULT
There are two applications that do the same job

EXPECTED RESULT
KSysGuard, which is more useful and more comprehensive than two applications that do the same job (Systemmonitor and KSysGuard), should be the default

SOFTWARE/OS VERSIONS
Operating System: KDE neon 5.18
KDE Plasma Version: 5.18.1
KDE Frameworks Version: 5.67.0
Qt Version: 5.14.1
Kernel Version: 5.3.0-40-generic
OS Type: 64-bit
Processors: 12 × AMD Ryzen 5 1600 Six-Core Processor
Memory: 15,6 GiB of RAM


ADDITIONAL INFORMATION
Comment 1 Nate Graham 2020-02-26 19:03:08 UTC
I agree, this is a but odd. Why not just open the whole thing?
Comment 2 hsnnsnc 2020-09-26 13:27:04 UTC
It doesn't make much sense to have two apps with the same functionality.
Comment 3 Fonic 2020-10-17 15:48:14 UTC
I second that. CTRL + ESC should open System Monitor (ksysguard). Don't see any reason to have System Activity since System Monitor offers the same and more.
Comment 4 Christoph Feck 2020-11-09 22:40:02 UTC
The Ctrl+Esc process list is a bit lighter than ksysguard. Also, it always opens with the process list, whereas ksysguard remembers the active tab and opens there. When you need to kill a process, every second can count.

With ksysguard itself is in the process of being replaced, the situation has to be re-evaluated. It is possible that the replacement really obsoletes both ksysguard as well as the process list.
Comment 5 Christoph Feck 2020-11-09 22:41:22 UTC
Regarding comment 3, feel free to reassign your hotkeys.
Comment 6 Fonic 2020-11-10 12:09:49 UTC
(In reply to Christoph Feck from comment #5)
> Regarding comment 3, feel free to reassign your hotkeys.

Thanks, good idea. Although my comment was more two the point of having two different apps for more or less the same task. That's confusing and unnecessary, especially for new users.

> With ksysguard itself is in the process of being replaced, the situation has
> to be re-evaluated. It is possible that the replacement really obsoletes
> both ksysguard as well as the process list.

Interesting. Is a replacement already in development?
Comment 8 hsnnsnc 2021-06-18 19:42:14 UTC
Although Plasma System Monitor is the default system monitoring application with Plasma 5.22 version, System Activity application continues to work with Ctrl+Esc.

So there are two system monitoring in the system. Also, Plasma System Monitor, such as KSysGuard, cannot be run from the Tools drop-down menu of the System Activity applet. Because there isn't. Removed KSysGuard was able to work with System Activity at least.

I think Plasma System Monitor should be KDE's only system monitoring application and should work with an easy shortcut (Ctrl+Esc).
Comment 9 hsnnsnc 2022-06-13 17:12:16 UTC
ping